"""Module providing report functionalities for current calculation method."""


def method_tex_output(paths_and_names, routing_dict, data_dict, method_specific_output_dict, runtime_output):
    """TeX file output function.

    This function is responsible for creating TeX output files.
    [Add further information here...]

    :param dict paths_and_names: Dictionary containing system paths and ElementTrees
    :param dict routing_dict: Dictionary containing routing parameters
    :param dict data_dict: Dictionary containing results of module execution
    :param dict method_specific_output_dict: Dictionary containing method specific output data
    :param logging.Logger runtime_output: Logging object used for capturing log messages in the module
    :return: None
    """

    # This is just a dummy code snippet. Insert your code here.
    tool_name = paths_and_names['tool_name']
    runtime_output.print(
        'Moin! This is the "method_tex_output" function from the ' + tool_name + ' tool speaking... '
        + '[Imagine fancy reports are generated here (you can find me in the "methodtexoutput.py" file).]')

    # Check, if mission study exists.
    study_exists = ('study' in data_dict.keys())
